Subject: Bug#872: [X2Go-Dev] Bug#872: Bug#872: Turn xinerama.conf file related code inside X2Go Client into legacy code (for NX agents << 3.6)

From: Ulrich Sibiller <[email-masked]>
Date: Mon, 18 May 2015 21:01:31 +0200

On Mon, May 18, 2015 at 3:41 PM, Oleksandr Shneyder
<[email-masked]> wrote:
> yes, if you moving window between two physical displays, without
> resizing it, x2goagent doesn't know, that display configuration is
> changed, because geometry of the x2goagent stays same. So I resized a
> window to refresh a display configurations.

Why does nxagent/x2goagent need know about that? In the current
solution with xinerama.conf I don't see why x2goagent should be
informed in this case. And if it really needs to know, this patch
_should_ help (I have not tested this patch alone):

https://github.com/uli42/nx-libs/commit/61018cd39d02fbda1f2f766d8320c53866fa55d3

Uli